FROM fedora:42

RUN dnf -y update && \
    dnf -y install python3 python3-pip sqlite tar zstd git bash && \
    dnf clean all

RUN useradd -r -s /sbin/nologin -d /var/lib/erminig pak && \
    mkdir -p /var/lib/erminig /var/cache/erminig /opt/erminig && \
    chown -R pak:pak /var/lib/erminig /var/cache/erminig /opt/erminig

COPY . /opt/erminig

